Generate Paylink Variant URL
curl --request GET \
--url https://mapi.boomfi.xyz/v1/paylinks/generate-variant/{paylinkId} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://mapi.boomfi.xyz/v1/paylinks/generate-variant/{paylinkId}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://mapi.boomfi.xyz/v1/paylinks/generate-variant/{paylinkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"created_by": "<string>",
"payment_link": {
"created_at": "<string>",
"created_by": "<string>",
"customer_ident_collection": true,
"deleted_at": "<string>",
"enabled": true,
"id": "<string>",
"invoice_id": "<string>",
"metadata": {},
"plan": {
"available_quantity": 123,
"created_at": "<string>",
"created_by": "<string>",
"currency": "<string>",
"deleted_at": "<string>",
"enabled": true,
"expires_at": "<string>",
"id": "<string>",
"metadata": {},
"name": "<string>",
"org_id": "<string>",
"payment_link": {
"created_at": "<string>",
"created_by": "<string>",
"customer_ident_collection": true,
"deleted_at": "<string>",
"enabled": true,
"id": "<string>",
"invoice_id": "<string>",
"metadata": {},
"plan_id": "<string>",
"properties": {},
"shipping_address_collection": true,
"tax_ident_collection": true,
"updated_at": "<string>",
"updated_by": "<string>"
},
"price": "<string>",
"properties": {},
"recurring_interval_count": 123,
"reference": "<string>",
"trial_period": "<string>",
"updated_at": "<string>"
},
"plan_id": "<string>",
"properties": {},
"shipping_address_collection": true,
"tax_ident_collection": true,
"updated_at": "<string>",
"updated_by": "<string>"
},
"plan": {
"available_quantity": 123,
"created_at": "<string>",
"created_by": "<string>",
"currency": "<string>",
"deleted_at": "<string>",
"enabled": true,
"expires_at": "<string>",
"id": "<string>",
"metadata": {},
"name": "<string>",
"org_id": "<string>",
"payment_link": {
"created_at": "<string>",
"created_by": "<string>",
"customer_ident_collection": true,
"deleted_at": "<string>",
"enabled": true,
"id": "<string>",
"invoice_id": "<string>",
"metadata": {},
"plan_id": "<string>",
"properties": {},
"shipping_address_collection": true,
"tax_ident_collection": true,
"updated_at": "<string>",
"updated_by": "<string>"
},
"price": "<string>",
"properties": {},
"recurring_interval_count": 123,
"reference": "<string>",
"trial_period": "<string>",
"updated_at": "<string>"
},
"url": "<string>"
},
"error": true,
"message": "<string>"
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}Paylinks
Generate Paylink Variant URL
Generate a variant URL for a payment link
GET
/
paylinks
/
generate-variant
/
{paylinkId}
Generate Paylink Variant URL
Authorizations
Path Parameters
Unique payment link identifier (plink_...)
Query Parameters
Override amount for this checkout variant.
Override currency for this checkout variant.
Customer identifier recorded as customer.reference on the payment.
Override description shown on the checkout.
Expiration time as RFC3339 or unix seconds.
Redirect URL after successful payment.
⌘I